# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "capistrano-faucet"
  s.version = "3.0.4"

  s.required_rubygems_version = Gem::Requirement.new("> 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Spencer Markowski"]
  s.date = "2016-06-04"
  s.description = "An unrestictive way to deploy using gitflow and capistrano"
  s.email = "spencer@theablefew.com"
  s.extra_rdoc_files = [
    "LICENSE.txt",
    "README.md"
  ]
  s.files = [
    "Gemfile",
    "LICENSE.txt",
    "README.md",
    "VERSION",
    "able.rc",
    "lib/capistrano-faucet.rb",
    "lib/capistrano/faucet.rb",
    "lib/capistrano/faucet/configuration.rb",
    "lib/capistrano/faucet/version.rb",
    "lib/capistrano/faucet/utilities.rb",
    "lib/capistrano/faucet/hooks.rb",
    "lib/capistrano/faucet/tasks.rb",
    "lib/capistrano/tasks/hooks.cap",
    "lib/capistrano/tasks/faucet.cap",
    "capistrano-faucet.gemspec"
  ]
  s.homepage = "http://github.com/esmarkowski/faucet"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubygems_version = "1.8.24"
  s.summary = "Gitflow enabled capistrano"

  s.post_install_message = <<-POSTINSTALL
    Initialize Gitflow

    git flow init -df'
    git config gitflow.branch.develop "develop"
    git config gitflow.branch.master "master"
    git config gitflow.prefix.versiontag "v"
    git config gitflow.prefix.feature "feature/"
    git config gitflow.prefix.release "release/"
    git config gitflow.prefix.hotfix "hotfix/"
    git config gitflow.prefix.support "support/"


    Then place this in your Rails root directory as .faucetrc

    prude = 0 

    ## gitflow_master
    # Default: master
    #gitflow_master = master

    ## gitflow_develop
    # Default: develop
    #gitflow_develop = develop

    ## gitflow_feature
    # Default: feature
    #gitflow_feature = feature

    ## gitflow_release
    # Default: release
    #gitflow_release = release

    ## gitflow_version_tag
    # Default: v
    #gitflow_version_tag = v

    ## deploy_production
    # Default: production
    #deploy_production = production

    ## deploy_staging
    # Default: [:staging, :qa]
    #deploy_staging = [:staging, :qa]

    ## previous_releases
    # Default: 3
    previous_releases = '8' 

    ## allow_untagged_deply
    allow_untagged_deply = true

    POSTINSTALL

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) > Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<capistrano>, [ "~> 3.0"])
      s.add_runtime_dependency(%q<stringex>, [ "~> 1.3"])
      s.add_runtime_dependency(%q<hashie>, [ "~> 3.1"])
      s.add_runtime_dependency(%q<versionomy>, [ "~> 0.4"])
      s.add_runtime_dependency(%q<rainbow>, [ "~> 2.0"])
      s.add_runtime_dependency(%q<ablerc>, ["~> 0.2"])

    else
      s.add_dependency(%q<capistrano>, ["~> 3.0"])
      s.add_dependency(%q<stringex>, ["~> 1.3"])
      s.add_dependency(%q<hashie>, ["~> 3.1"])
      s.add_dependency(%q<versionomy>, ["~> 0.4"])
      s.add_dependency(%q<rainbow>, ["~> 2.0"])
      s.add_dependency(%q<ablerc>, ["~> 0.2"])
    end
  else
    s.add_dependency(%q<capistrano>, ["~> 3.0"])
    s.add_dependency(%q<stringex>, ["~> 1.3"])
    s.add_dependency(%q<hashie>, ["~> 3.1"])
    s.add_dependency(%q<versionomy>, ["~> 0.4"])
    s.add_dependency(%q<rainbow>, ["~> 2.0"])
    s.add_dependency(%q<ablerc>, ["~> 0.2"])
  end
end

